package com.loafle.overflow.probe.container.service;

import com.loafle.overflow.probe.container.crawler.Crawler;
import com.loafle.overflow.probe.container.crawler.result.ResultSet;

import java.util.List;
import java.util.Map;

public class DataService extends Service {
    public DataService(Map<String, Crawler> crawlers) {
        super(crawlers);
    }

    public List<ResultSet> get(String crawlerName, String id) throws Exception {
        Crawler crawler = getCrawler(crawlerName);
        return crawler.get(id);
    }
}
